
Figure - Bug #111446
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110868 (New): BSP-BVT测试-上/下电测试

【BSP】【EVT】【power】【必现】直流电源同时给板子和屏幕供电，线路上连接KL15开关；mcu手动升级
完成后，关闭KL15开关后，板子和屏幕未断电
2022-08-25 17:12 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-08-25

Priority: High Due date:

Assignee: SZ BSP-徐季源 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0.0.0.20220824_alpha_private_userdebug

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause:

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

2、直流电源同时给板子和屏幕供电，线路上连接KL15开关

3、mcu相关的bin文件已经push到指定目录

操作步骤：

1、打开mcuUpgrade应用，点击绑定UART服务，等待5s后再次点击发送请求升级指令

2、等待mcu升级完成后，关闭KL15开关

3、查看板子和屏幕是否掉电关机

实际结果：

1、mcu升级完成后，关闭KL15开关；板子和屏幕未掉电关机

2、正常开机状态下，关闭KL15开关，等待一会后板子和屏幕会掉电关机

预期结果：

1、mcu升级完成后，关闭KL15开关；等待一会后板子和屏幕会掉电关机

History

#1 - 2022-08-29 10:11 - SZ BSP-徐季源

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

这个问题主要是因为电源控制位于 App 侧，进行升级时，MCU 跳转到 Boot 侧，无法对 KL15 进行响应。

现版本升级成功后，触发 865 关机（例如：adb reboot）可以触发 MCU 重启，进入 App 侧，之后可以正常响应电源控制。

#2 - 2022-08-30 17:53 - SZTS_TEST 邹涛

0.0.0.20220830_alpha_private_userdebug，版本验证mcu升级完成后会自动重启，不会出现上述操作，故关闭该bug
#3 - 2022-08-30 17:54 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

#4 - 2022-08-30 17:54 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

#5 - 2022-09-14 11:56 - CD TPM-申艳艳

- Category set to BSP

Files

logcat.txt 5.62 MB 2022-08-25 SZTS_TEST 邹涛
